#pragma once


#include "CoreMinimal.h"

#include <string>

class UOVRLipSyncFrameSequence;
class USoundWave;

namespace Inworld
{
    namespace Utils
    {
        INWORLDAICLIENT_API USoundWave* StringToSoundWave(const std::string& String);
        INWORLDAICLIENT_API bool SoundWaveToString(USoundWave* SoundWave, std::string& String);

        INWORLDAICLIENT_API TArray<uint8> HmacSha256(const TArray<uint8>& Data, const TArray<uint8>& Key);
        INWORLDAICLIENT_API std::string ToHex(const TArray<uint8>& Data);

        INWORLDAICLIENT_API void Log(const FString& Text, bool bAddOnScreenLog = false, FColor DisplayColor = FColor::Black, float TimeToDisplay = 3.f);
        INWORLDAICLIENT_API void ErrorLog(const FString& Text, bool bAddOnScreenLog = false, float TimeToDisplay = 3.f);

        INWORLDAICLIENT_API void PrepareSslCreds();

        class FTextColors
        {
        public:
            static FColor Player() { return FColor::White; }
            static FColor Character() { return FColor::Magenta; }
            static FColor Error() { return FColor::Red; }
            static FColor Message() { return FColor::Green; }
            static FColor TextMessage() { return FColor::Blue; }
        };
        
    }
}