// Copyright Epic Games, Inc. All Rights Reserved.

using System.IO;
using UnrealBuildTool;

public class InworldAIIntegration : ModuleRules
{

    public InworldAIIntegration(ReadOnlyTargetRules Target) : base(Target)
	{
        PCHUsage = PCHUsageMode.UseExplicitOrSharedPCHs;

        PublicDependencyModuleNames.AddRange(
            new string[] 
            { 
                "Core", 
                "CoreUObject", 
                "Engine", 
                "InputCore",
                "InworldAIClient",
            });


        PrivateDependencyModuleNames.AddRange(
            new string[]
            {
                "AudioCapture",
                "AudioMixer",
                //"OVRLipSync",
                "OpenSSL",
            }
            );

        PublicDefinitions.Add("INWORLD_ONSCREEN_LOG=0");
        PublicDefinitions.Add("INWORLD_ONSCREEN_LOG_ERROR=0");

        PublicDefinitions.Add("INWORLD_OVR_LIPSYNC=0");

        AddEngineThirdPartyPrivateStaticDependencies(Target, "zlib");
    }
}
